#!/usr/bin/env python
# coding: utf-8
from ngsolve import *
import numpy as np
import sys
import os
#
import subprocess
#
from netgen.read_gmsh import ReadGmsh
# initialise mpi

PI = np.pi;

model = sys.argv[1]

waveno = 6.0*PI
polOrder = 2
elmperlam = 4 
wavelength = 2.0*PI/waveno
helem = wavelength / elmperlam

if (model=='full'):    
    # generate mesh:
    gmshmeshfilename = 'fullmodel.msh'
    # import the Gmsh file to a Netgen mesh object
    basegeofilename = './fullmodel.geo'
    subprocess.call(["gmsh", "-3", "-setnumber", "helem",  str(helem), str(basegeofilename), "-o", str(gmshmeshfilename)])
    mesh = ReadGmsh(gmshmeshfilename)
    volmeshfilename = 'fullmodel.vol'
    mesh.Save(volmeshfilename)
    
if (model=='half'):
   
    # generate mesh:
    gmshmeshfilename = 'halfmodel.msh'
    # import the Gmsh file to a Netgen mesh object
    basegeofilename = './halfmodel.geo'
    subprocess.call(["gmsh", "-3", "-setnumber", "helem",  str(helem), str(basegeofilename), "-o", str(gmshmeshfilename)])
    mesh = ReadGmsh(gmshmeshfilename)
    volmeshfilename = 'halfmodel.vol'
    mesh.Save(volmeshfilename)